Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.marshall
Class MethodDeclarations

    java.lang.Object
      org.jboss.cache.marshall.MethodDeclarations

    public class MethodDeclarations

extends java.lang.Object

Class containing Method and Method id definitions as well methods allowing lookup operations both ways.

Version:
  $Revision: 1.8 $
Author:
  Galder Zamarreno

Field Summary
`static java.lang.reflect.Method` | `addChildMethodLocal`
`static int` | `addChildMethodLocal_id`
`static java.lang.reflect.Method` | `clusteredGetMethod`
`static int` | `clusteredGetMethod_id`
`static java.lang.reflect.Method` | `commitMethod`
`static int` | `commitMethod_id`
`static java.lang.reflect.Method` | `dataGravitationCleanupMethod`
`static int` | `dataGravitationCleanupMethod_id`
`static java.lang.reflect.Method` | `dataGravitationMethod`
`static int` | `dataGravitationMethod_id`
`static int` | `dispatchRpcCallMethod_id`
`static java.lang.reflect.Method` | `enqueueMethodCallMethod`
`static int` | `enqueueMethodCallMethod_id`
`static java.lang.reflect.Method` | `evictNodeMethodLocal`
`static int` | `evictNodeMethodLocal_id`
`static java.lang.reflect.Method` | `evictVersionedNodeMethodLocal`
`static int` | `evictVersionedNodeMethodLocal_id`
`static java.lang.reflect.Method` | `existsMethod`
`static int` | `existsMethod_id`
`static java.lang.reflect.Method` | `getChildrenNamesMethodLocal`
`static int` | `getChildrenNamesMethodLocal_id`
`static java.lang.reflect.Method` | `getDataMapMethodLocal`
`static int` | `getDataMapMethodLocal_id`
`static java.lang.reflect.Method` | `getKeysMethodLocal`
`static int` | `getKeysMethodLocal_id`
`static java.lang.reflect.Method` | `getKeyValueMethodLocal`
`static int` | `getKeyValueMethodLocal_id`
`static java.lang.reflect.Method` | `getNodeMethodLocal`
`static int` | `getNodeMethodLocal_id`
`static java.lang.reflect.Method` | `getPartialStateMethod`
`static int` | `getPartialStateMethod_id`
`static java.lang.reflect.Method` | `lockMethodLocal`
`static int` | `lockMethodLocal_id`
`static java.lang.reflect.Method` | `notifyCallOnInactiveMethod`
`static int` | `notifyCallOnInactiveMethod_id`
`static java.lang.reflect.Method` | `optimisticPrepareMethod`
`static int` | `optimisticPrepareMethod_id`
`static java.lang.reflect.Method` | `prepareMethod`
`static int` | `prepareMethod_id`
`static java.lang.reflect.Method` | `printMethodLocal`
`static int` | `printMethodLocal_id`
`static java.lang.reflect.Method` | `putDataEraseMethodLocal`
`static int` | `putDataEraseMethodLocal_id`
`static java.lang.reflect.Method` | `putDataMethodLocal`
`static int` | `putDataMethodLocal_id`
`static java.lang.reflect.Method` | `putFailFastKeyValueMethodLocal`
`static int` | `putFailFastKeyValueMethodLocal_id`
`static java.lang.reflect.Method` | `putKeyValMethodLocal`
`static int` | `putKeyValMethodLocal_id`
`static java.lang.reflect.Method` | `releaseAllLocksMethodLocal`
`static int` | `releaseAllLocksMethodLocal_id`
`static java.lang.reflect.Method` | `remoteAnnounceBuddyPoolNameMethod`
`static int` | `remoteAnnounceBuddyPoolNameMethod_id`
`static java.lang.reflect.Method` | `remoteAssignToBuddyGroupMethod`
`static int` | `remoteAssignToBuddyGroupMethod_id`
`static java.lang.reflect.Method` | `remoteRemoveFromBuddyGroupMethod`
`static int` | `remoteRemoveFromBuddyGroupMethod_id`
`static java.lang.reflect.Method` | `removeDataMethodLocal`
`static int` | `removeDataMethodLocal_id`
`static java.lang.reflect.Method` | `removeKeyMethodLocal`
`static int` | `removeKeyMethodLocal_id`
`static java.lang.reflect.Method` | `removeNodeMethodLocal`
`static int` | `removeNodeMethodLocal_id`
`static java.lang.reflect.Method` | `replicateAllMethod`
`static int` | `replicateAllMethod_id`
`static java.lang.reflect.Method` | `replicateMethod`
`static int` | `replicateMethod_id`
`static java.lang.reflect.Method` | `rollbackMethod`
`static int` | `rollbackMethod_id`

Constructor Summary
`MethodDeclarations()`

Method Summary
`static boolean` | `isCrudMethod(int id)`
`static boolean` | `isCrudMethod(java.lang.reflect.Method m)` Returns true if the method is a CRUD method.
`protected static java.lang.reflect.Method` | `lookupMethod(int id)`
`protected static int` | `lookupMethodId(java.lang.reflect.Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### putDataMethodLocal

    public static final java.lang.reflect.Method putDataMethodLocal

### putDataEraseMethodLocal

    public static final java.lang.reflect.Method putDataEraseMethodLocal

### putKeyValMethodLocal

    public static final java.lang.reflect.Method putKeyValMethodLocal

### putFailFastKeyValueMethodLocal

    public static final java.lang.reflect.Method putFailFastKeyValueMethodLocal

### removeNodeMethodLocal

    public static final java.lang.reflect.Method removeNodeMethodLocal

### removeKeyMethodLocal

    public static final java.lang.reflect.Method removeKeyMethodLocal

### removeDataMethodLocal

    public static final java.lang.reflect.Method removeDataMethodLocal

### evictNodeMethodLocal

    public static final java.lang.reflect.Method evictNodeMethodLocal

### evictVersionedNodeMethodLocal

    public static final java.lang.reflect.Method evictVersionedNodeMethodLocal

### prepareMethod

    public static final java.lang.reflect.Method prepareMethod

### commitMethod

    public static final java.lang.reflect.Method commitMethod

### rollbackMethod

    public static final java.lang.reflect.Method rollbackMethod

### replicateMethod

    public static final java.lang.reflect.Method replicateMethod

### replicateAllMethod

    public static final java.lang.reflect.Method replicateAllMethod

### addChildMethodLocal

    public static final java.lang.reflect.Method addChildMethodLocal

### getKeyValueMethodLocal

    public static final java.lang.reflect.Method getKeyValueMethodLocal

### getNodeMethodLocal

    public static final java.lang.reflect.Method getNodeMethodLocal

### getKeysMethodLocal

    public static final java.lang.reflect.Method getKeysMethodLocal

### getChildrenNamesMethodLocal

    public static final java.lang.reflect.Method getChildrenNamesMethodLocal

### getDataMapMethodLocal

    public static final java.lang.reflect.Method getDataMapMethodLocal

### existsMethod

    public static final java.lang.reflect.Method existsMethod

### releaseAllLocksMethodLocal

    public static final java.lang.reflect.Method releaseAllLocksMethodLocal

### printMethodLocal

    public static final java.lang.reflect.Method printMethodLocal

### lockMethodLocal

    public static final java.lang.reflect.Method lockMethodLocal

### optimisticPrepareMethod

    public static final java.lang.reflect.Method optimisticPrepareMethod

### getPartialStateMethod

    public static final java.lang.reflect.Method getPartialStateMethod

### enqueueMethodCallMethod

    public static final java.lang.reflect.Method enqueueMethodCallMethod

### notifyCallOnInactiveMethod

    public static final java.lang.reflect.Method notifyCallOnInactiveMethod

### clusteredGetMethod

    public static final java.lang.reflect.Method clusteredGetMethod

### remoteAssignToBuddyGroupMethod

    public static final java.lang.reflect.Method remoteAssignToBuddyGroupMethod

### remoteRemoveFromBuddyGroupMethod

    public static final java.lang.reflect.Method remoteRemoveFromBuddyGroupMethod

### remoteAnnounceBuddyPoolNameMethod

    public static final java.lang.reflect.Method remoteAnnounceBuddyPoolNameMethod

### dataGravitationCleanupMethod

    public static final java.lang.reflect.Method dataGravitationCleanupMethod

### dataGravitationMethod

    public static final java.lang.reflect.Method dataGravitationMethod

### putDataMethodLocal_id

    public static final int putDataMethodLocal_id

See Also:
  Constant Field Values

### putDataEraseMethodLocal_id

    public static final int putDataEraseMethodLocal_id

See Also:
  Constant Field Values

### putKeyValMethodLocal_id

    public static final int putKeyValMethodLocal_id

See Also:
  Constant Field Values

### putFailFastKeyValueMethodLocal_id

    public static final int putFailFastKeyValueMethodLocal_id

See Also:
  Constant Field Values

### removeNodeMethodLocal_id

    public static final int removeNodeMethodLocal_id

See Also:
  Constant Field Values

### removeKeyMethodLocal_id

    public static final int removeKeyMethodLocal_id

See Also:
  Constant Field Values

### removeDataMethodLocal_id

    public static final int removeDataMethodLocal_id

See Also:
  Constant Field Values

### evictNodeMethodLocal_id

    public static final int evictNodeMethodLocal_id

See Also:
  Constant Field Values

### evictVersionedNodeMethodLocal_id

    public static final int evictVersionedNodeMethodLocal_id

See Also:
  Constant Field Values

### prepareMethod_id

    public static final int prepareMethod_id

See Also:
  Constant Field Values

### commitMethod_id

    public static final int commitMethod_id

See Also:
  Constant Field Values

### rollbackMethod_id

    public static final int rollbackMethod_id

See Also:
  Constant Field Values

### replicateMethod_id

    public static final int replicateMethod_id

See Also:
  Constant Field Values

### replicateAllMethod_id

    public static final int replicateAllMethod_id

See Also:
  Constant Field Values

### addChildMethodLocal_id

    public static final int addChildMethodLocal_id

See Also:
  Constant Field Values

### existsMethod_id

    public static final int existsMethod_id

See Also:
  Constant Field Values

### releaseAllLocksMethodLocal_id

    public static final int releaseAllLocksMethodLocal_id

See Also:
  Constant Field Values

### optimisticPrepareMethod_id

    public static final int optimisticPrepareMethod_id

See Also:
  Constant Field Values

### getPartialStateMethod_id

    public static final int getPartialStateMethod_id

See Also:
  Constant Field Values

### enqueueMethodCallMethod_id

    public static final int enqueueMethodCallMethod_id

See Also:
  Constant Field Values

### notifyCallOnInactiveMethod_id

    public static final int notifyCallOnInactiveMethod_id

See Also:
  Constant Field Values

### clusteredGetMethod_id

    public static final int clusteredGetMethod_id

See Also:
  Constant Field Values

### getChildrenNamesMethodLocal_id

    public static final int getChildrenNamesMethodLocal_id

See Also:
  Constant Field Values

### getDataMapMethodLocal_id

    public static final int getDataMapMethodLocal_id

See Also:
  Constant Field Values

### getKeysMethodLocal_id

    public static final int getKeysMethodLocal_id

See Also:
  Constant Field Values

### getKeyValueMethodLocal_id

    public static final int getKeyValueMethodLocal_id

See Also:
  Constant Field Values

### dispatchRpcCallMethod_id

    public static final int dispatchRpcCallMethod_id

See Also:
  Constant Field Values

### remoteAnnounceBuddyPoolNameMethod_id

    public static final int remoteAnnounceBuddyPoolNameMethod_id

See Also:
  Constant Field Values

### remoteAssignToBuddyGroupMethod_id

    public static final int remoteAssignToBuddyGroupMethod_id

See Also:
  Constant Field Values

### remoteRemoveFromBuddyGroupMethod_id

    public static final int remoteRemoveFromBuddyGroupMethod_id

See Also:
  Constant Field Values

### getNodeMethodLocal_id

    public static final int getNodeMethodLocal_id

See Also:
  Constant Field Values

### printMethodLocal_id

    public static final int printMethodLocal_id

See Also:
  Constant Field Values

### lockMethodLocal_id

    public static final int lockMethodLocal_id

See Also:
  Constant Field Values

### dataGravitationCleanupMethod_id

    public static final int dataGravitationCleanupMethod_id

See Also:
  Constant Field Values

### dataGravitationMethod_id

    public static final int dataGravitationMethod_id

See Also:
  Constant Field Values

Constructor Detail

### MethodDeclarations

    public MethodDeclarations()

Method Detail

### lookupMethodId

    protected static int lookupMethodId(java.lang.reflect.Method method)

### lookupMethod

    protected static java.lang.reflect.Method lookupMethod(int id)

### isCrudMethod

    public static boolean isCrudMethod(java.lang.reflect.Method m)

  Returns true if the method is a CRUD method.

### isCrudMethod

    public static boolean isCrudMethod(int id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.